首页 云计算

云安全日报210916:思科IOS XR网络互联操作系统发现拒绝服务漏洞,需要尽快升级

Cisco IOS XR(下一代网络和思科运营商路由系统)是思科公司一个完全模块化,完全分布式的网络互联操作系统。

9月15日,思科发布了安全公告,思科IOS XR网络互联操作系统发现拒绝服务漏洞,建议尽快升级。以下是漏洞详情:

漏洞详情

来源:https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-ipsla-ZA3SRrpP

CVE-2021-34720 CVSS评分:8.6 高

Cisco IOS XR 软件的 IP 服务级别协议 (IP SLA) 响应程序和双向主动测量协议 (TWAMP) 功能中的漏洞可能允许未经身份验证的远程攻击者导致设备数据包内存耗尽或导致 IP SLA 进程崩溃,导致拒绝服务 (DoS) 条件。

之所以存在此漏洞,是因为在 IP SLA 和 TWAMP 过程中对套接字创建失败的处理不当。攻击者可以通过向受影响的设备发送特定的 IP SLA 或 TWAMP 数据包来利用此漏洞。成功的利用可能允许攻击者耗尽数据包内存,这将影响其他进程,例如路由协议,或使IP SLA进程崩溃。

受影响产品

如果 Cisco 设备运行易受攻击的 Cisco IOS XR 软件版本并启用了 IP SLA 响应器功能,则此漏洞会影响 Cisco 设备。

Cisco IOS XR 以下版本会受到上述漏洞影响:

Cisco IOS XR 5.3 及更早版本

Cisco IOS XR 6.0 所有版本

Cisco IOS XR 6.1 所有版本

Cisco IOS XR 6.2.1, 6.2.2版本

Cisco IOS XR 6.5.2版本

Cisco IOS XR 6.5.3版本

Cisco IOS XR 6.6所有版本

Cisco IOS XR 6.7所有版本

Cisco IOS XR 7.0所有版本

Cisco IOS XR 7.1所有版本

Cisco IOS XR 7.2所有版本

解决方案

Cisco IOS XR 软件版本:

5.3及更早版本,6.0,6.1软件版本需要升级至可修复版本

6.2 软件版本升级至6.2.3版本

6.3 软件版本升级至6.3.2,6.3.3版本

6.5 软件版本升级至6.5.2,6.5.3版本

6.6 需要升级至可修复版本

6.7 软件版本升级至6.7.4版本

7.0 需要升级至可修复版本

7.1 需要升级至可修复版本

7.2 软件版本升级至7.2.2版本

查看更多漏洞信息 以及升级请访问官网:

https://tools.cisco.com/security/center/publicationListing.x

官方微博/微信

每日头条、业界资讯、热点资讯、八卦爆料,全天跟踪微博播报。各种爆料、内幕、花边、资讯一网打尽。百万互联网粉丝互动参与,TechWeb官方微博期待您的关注。

↑扫描二维码

想在手机上看科技资讯和科技八卦吗?

想第一时间看独家爆料和深度报道吗?

请关注TechWeb官方微信公众帐号:

1.用手机扫左侧二维码;

2.在添加朋友里,搜索关注TechWeb。

手机游戏更多